Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUApplication

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCDataControl
oracle.adf.model.bc4j.DCJboDataControl
oracle.jbo.uicli.binding.JUApplication`

All Implemented Interfaces:
  oracle.adf.model.DataControl, DataControl, oracle.adf.model.binding.DCDataControlManagement, java.util.EventListener, java.util.Map, TransactionStateListener

public class JUApplication
extends oracle.adf.model.bc4j.DCJboDataControl

The application class that manages connection to a BC4J Application Module. The JUApplication class provides:

- Methods to connect to a BC4J Application Module, if this application is the root JUApplication object. JUApplications could be nested in other JUApplication objects to mirror BC4J Nested Application Modules.
- Handles exceptions raised by the framework and passes it on to registered Error handler. The error handler is same as registered with the BC4J application module (if any).
- Manages form bindings that contain iterator-bindings that bind iterators of the ViewObjects in the associated Application Module.
- If this JUApplication is the root, manages TransactionStateListeners so that the BC4J Transaction's state events are passed on to the listeners.
- Routes all status bar messages to all status bars registered with this application. Framework uses this class to route all status bar messages.

Version:
  PUBLIC
See Also:
  `ApplicationModule`, `Transaction`, `JUTransactionStateListener`, `JUErrorHandler`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected JUErrorHandler` | `mJUErrorHandler`

Fields inherited from class oracle.adf.model.bc4j.DCJboDataControl
`EXC_MODE_DEFAULT, EXC_MODE_DEFERRED, EXC_MODE_IMMEDIATE, VAL_MODE_ALWAYS, VAL_MODE_NEVER, VAL_MODE_REMOTE, VAL_MODE_UNINIT`

Fields inherited from class oracle.adf.model.binding.DCDataControl
`ABSTRACT, GET_ApplicationModule, GET_dataProvider, GET_DataProvider, GET_MethodResults, GET_Name, JCLIENT, mBindingContainerList, mDataProvider, mErrorHandler, mErrorHandlerActive, mErrorHandlerThrow, mIsRoot, mLocaleCtx, mName, mParent, mRootApplication, mStatusBarList, mTxnListeners, mUserData, OPER_CTRL_BINDING_VALIDATION, OPER_DATA_ROW_CREATE, OPER_DATA_ROW_REMOVE, OPER_DATA_ROW_UPDATE, OPER_EXECUTE, OPER_FIND_MODE, OPER_SORT_COLLECTION, PNAME_Type, REL_ALL_REFS, REL_DATA_REFS, REL_VIEW_REFS, REL_WEAK_DATA_REFS`

Constructor Summary
`JUApplication()`
`JUApplication(ApplicationModule am)` Constructor used internally by the framework to associate an application module with a JClient application object.
`JUApplication(java.util.Hashtable context, java.lang.String rootAMDefName, java.lang.Object userData)` Constructs a root JUApplication object that connects to a BC4J Application Module of the given name.
`JUApplication(JUApplication parent, ApplicationModule am, java.lang.Object userData)` Constructor to be used to create a nested JUApplication inside another JUApplication object.
`JUApplication(SessionCookie sessionCookie)`

Method Summary
`void` | `addFormBinding(JUFormBinding formBnd)` Register the given form binding object with this application.
`void` | `addFormBinding(java.lang.String name, JUFormBinding formBnd)` Register the given form binding object with this application with the given name.
`void` | `addFormBinding(java.lang.String name, JUFormBinding formBnd, JUFormDef formDef)` Register the given form binding object with this application with the given name.
`JUFormBinding` | `createFormBinding(java.lang.String name, java.lang.String formDefName, boolean initialize)` *** For internal framework use only ***
`JUFormBinding` | `findFormBinding(java.lang.String name)` Return the JUFormBinding instance registered with this JUAppication with the given name.
`JUErrorHandler` | `getErrorHandler()` Returns the DCErrorHandler registered with the root DCDataControl.
`JUApplication` | `getRootApplication()` Returns the root DCDataControl object.
`void` | `removeFormBinding(JUFormBinding formBnd)` Remove the JUFormBinding object of the given name (if any).
`void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex)` This method is used by all framework binding objects to report exceptions.
`void` | `setErrorHandler(java.lang.Object errHandlerObj)` Registers a DCErrorHandler with the root DCDataControl.

Methods inherited from class oracle.adf.model.bc4j.DCJboDataControl
`applySortCriteria, applyViewCriteria, beginRequest, commitTransaction, connect, createAccessorRowSetIterator, createAccessorRowSetIterator, createRootApplicationModule, createRowData, createRowSetIteratorImpl, createViewCriteria, endRequest, executeIteratorBinding, executeIteratorBindingIfNeeded, executeIteratorBindingWithParams, findCustomViewObject, findVariable, getAccessorValue, getApplicationModule, getAttributeDefs, getContext, getDBConnectionProps, getDBConnectionURL, getEstimatedRowCount, getLocaleContext, getPackageName, getReleaseLevel, getRootAMDefName, getRowSetIterator, getSortCriteria, getValidationInBinding, getViewCriteria, initialize, internalGet, internalSetTransactionStateChanged, invokeMethod, isBoundRowIteratorEvent, isClientTier, isOperationSupported, isTransactionDirty, prepareSession, release, removeRowData, resetAttributeExceptionInRow, resetState, rollbackTransaction, setAttributeInRow, setBundledExceptionMode, setClientApp, setConnectionInfo, setCurrentRowWithKey, setCurrentRowWithKey, setCurrentRowWithKeyValue, setDataProvider, setLocaleContext, setPackageName, setReleaseLevel, setSessionCookie, setValidationInBinding, sync, syncIfNeeded, syncNeeded, validate`

Methods inherited from class oracle.adf.model.binding.DCDataControl
`addBindingContainer, addBindingContainer, addBindingContainer, addBindingContainerRef, addBindingWithExc, addOrCreateBindingContainer, addStatusBarInterface, addTransactionStateListener, cacheMethodResult, callCommitTransaction, cleanup, createAccessorRowSetIterator, createBindingContainer, createBindingContainerInstance, createRowSetIteratorImpl, displayStatus, displayStatus, doneCommit, doneRollback, findBindingContainer, findOrCreateAccessorRowSetIterator, findOrCreateAccessorRowSetIterator, findOrCreateMethodRowSetIterator, findOrCreateRowSetIteratorImpl, focusGained, get, getBindingContext, getCurrentErrorHandler, getDataProvider, getDef, getDefinition, getErrorHandlerActive, getMethodResults, getMethodResultUseCount, getName, getParent, getRootDataControl, getSecurityContext, getSessionContext, getSessionContextManager, getUserData, hasBindingsWithExc, hashCode, hasOperationParamsChanged, hasPermission, hasPermission, hasPermission, initializeBindingContainer, initializeContainerFromDef, initializeFromMetadata, internalGetCurrentRow, internalPut, invokeMethod, invokeOperation, isAttributeSortable, isJClientApp, isRoot, isTransactionModified, rebuildIteratorIfNeeded, registerDataProvider, release, removeBindingContainer, removeBindingWithExc, removeRowDataFromCollection, removeStatusBarInterface, removeTransactionStateListener, reportException, resolveAttributeDefs, setBindingContext, setDef, setErrorHandlerActive, setName, setSessionContext, setTransactionModified, toString, transactionStateChanged`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.TransactionStateListener
`doneCommit, doneRollback`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### mJUErrorHandler

    protected JUErrorHandler mJUErrorHandler

Constructor Detail

### JUApplication

    public JUApplication()

### JUApplication

    public JUApplication(java.util.Hashtable context,
                         java.lang.String rootAMDefName,
                         java.lang.Object userData)

  Constructs a root JUApplication object that connects to a BC4J Application Module of the given name.
Parameters:
  `context` - Context to pass on to the BC4J Application Module on creation.
  `rootAMDefName` - Name that identifies the root BC4J Application Module.
  `userData` - Data to store with the JUApplication object.

### JUApplication

    public JUApplication(ApplicationModule am)

  Constructor used internally by the framework to associate an application module with a JClient application object.

### JUApplication

    public JUApplication(JUApplication parent,
                         ApplicationModule am,
                         java.lang.Object userData)

  Constructor to be used to create a nested JUApplication inside another JUApplication object.

### JUApplication

    public JUApplication(SessionCookie sessionCookie)

Method Detail

### getRootApplication

    public final JUApplication getRootApplication()

  Returns the root DCDataControl object.

### removeFormBinding

    public final void removeFormBinding(JUFormBinding formBnd)

  Remove the JUFormBinding object of the given name (if any).

### addFormBinding

    public final void addFormBinding(JUFormBinding formBnd)

  Register the given form binding object with this application. If this form binding object has no name or null name, framework generates a unique name for the object (in the context of this application module).
  Throws:
    `NameClashException` - If there is another object of the same name already registered, this method will throw this exception.

### addFormBinding

    public final void addFormBinding(java.lang.String name,
                                     JUFormBinding formBnd,
                                     JUFormDef formDef)

  Register the given form binding object with this application with the given name.
  Throws:
    `InvalidObjNameException` - If the given name does not follow the BC4J component or Java Identifier naming rules.
    `NameClashException` - If there is another object of the same name already registered, this method will throw this exception.
  See Also:
    `JboNameUtil.isNameValid(String)`

### addFormBinding

    public final void addFormBinding(java.lang.String name,
                                     JUFormBinding formBnd)

  Register the given form binding object with this application with the given name.
  Throws:
    `InvalidObjNameException` - If the given name does not follow the BC4J component or Java Identifier naming rules.
    `NameClashException` - If there is another object of the same name already registered, this method will throw this exception.
  See Also:
    `JboNameUtil.isNameValid(String)`

### findFormBinding

    public final JUFormBinding findFormBinding(java.lang.String name)

  Return the JUFormBinding instance registered with this JUAppication with the given name. If the name does not match, return null.

### createFormBinding

    public final JUFormBinding createFormBinding(java.lang.String name,
                                                 java.lang.String formDefName,
                                                 boolean initialize)

  *** For internal framework use only ***

  Create a JUFormBinding instance using the given name and form definition.

### reportException

    public final void reportException(JUFormBinding formBnd,
                                      java.lang.Exception ex)

  This method is used by all framework binding objects to report exceptions. If this DCDataControl is not the root, it calls the equivalent method on the root.

  If the error handler is set to active state, then this method calls the registered error handler's reportException method. Othewise, it simply throws the given exception as a JboException.

  See Also:
    `DCErrorHandler`, `JboException`

### getErrorHandler

    public final JUErrorHandler getErrorHandler()

  Returns the DCErrorHandler registered with the root DCDataControl. By default a JClient application has an instance of DCErrorHandlerDialog registered as the default DCErrorHandler.
  See Also:
    `JUErrorHandlerDialog`

### setErrorHandler

    public final void setErrorHandler(java.lang.Object errHandlerObj)

  Registers a DCErrorHandler with the root DCDataControl. By default a JClient application has an instance of DCErrorHandlerDialog registered as the default DCErrorHandler. Applications should use this method to register custom error handling object so that all errors raised in the framework goes through the Application's error handling object. Custom error handlers need to implement the DCErrorHandler interface.

  Custom error handlers may also implement oracle.jbo.JboExceptionHandler to handle batched Exceptions raised during client-side processing of Exceptions thrown in the Business Components tier. Alteratively an application can register it's own JboExceptionHandler with the Business Components ApplicationModule for this Application. after the DCErrorHandler is set with DCDataControl in this method.

  Note that errors are sent to the registered error handler only when the error handler state is marked active (which is true by default) using the setErrorHandlerActive method.

  Parameters:
    `errHandlerObj` - An implementation of DCErrorHandler interface that may optionally implement JboExceptionHandler interface too. If errHandler implements the JboExceptionHandler, this method sets it as the ExceptionHandler on the root ApplicationModule that this client Application is connected with. Else, method sets a default ExceptionHandler which will collect all Exceptions and throw a new JboException with these Exceptions set as in the new JboException's details list, for the errHandler to display as one JboException with a bag of Exceptions.
  See Also:
    `JUErrorHandler`, `JUErrorHandlerDialog`, `JboExceptionHandler`, `ApplicationModule`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.